package logic;

import java.util.BitSet;
import java.util.Random;

import lib.MTRandom;
import util.Constraint;

public class RandBitSet {
    private static Random rand= null;
    public static BitSet get(int length,int card){
        BitSet r = new BitSet(length);
        if(rand==null){
            rand= new MTRandom();
        }
        while(r.cardinality()!=card){
            r.set(rand.nextInt(length));
        }

        return r;
    }

    public static BitSet get(Constraint con){
        BitSet r = new BitSet();
        int index=0;

        for(int i =0;i<con.Fields.size();i++){
            int length =con.fieldItemMask.get(i).cardinality();
            BitSet tmp = get(length,con.NumOfItems.get(i));

            for(int j =0;j<length;j++){
                r.set(index, tmp.get(j));
                index++;
            }


        }


        return r;
    }

}
