package util;

import java.io.BufferedReader;
import java.io.FileReader;
import java.util.StringTokenizer;

public class FileOpen {

    private static BufferedReader ReadFile(String filePath) {

        BufferedReader in;

        try {
            in = new BufferedReader(new FileReader(filePath));
        } catch (Exception e) {
            System.out.println(e.getMessage());
            return null;
        }
        return in;
    }

    public static String[][] loadDataString(String filePath) {
        String[][] data = new String[countItem(filePath)][countColumn(filePath)];//{null,null};

        int j = 0; //num of examinee
        String line = null;
        BufferedReader inFile = null;
        inFile = ReadFile(filePath);

        try {
            while ((line = inFile.readLine()) != null) {

                String[] f = line.split(",");

                for (int ff = 0; ff < f.length; ff++) {
                    data[j] = f;
                }

                j++;
            }
            inFile.close();
        } catch (Exception e) {
            System.out.println(e.getMessage());
        }
        return data;
    }

    public static int countItem(String filePath) {
        int i = 0;
        BufferedReader inFile = null;
        inFile = ReadFile(filePath);

        try {
            while ((inFile.readLine()) != null) {
                i++;
            }

            inFile.close();

        } catch (Exception e) {
            System.out.println(e.getMessage());
        }

        return i;

    }

    public static int countColumn(String filePath) {
        int i = 0;
        String line = null;
        BufferedReader inFile = null;
        inFile = ReadFile(filePath);

        try {
            line = inFile.readLine();

            inFile.close();

            StringTokenizer st = new StringTokenizer(line, ",");
            while (st.hasMoreTokens()) {
                st.nextToken();
                i++;
            }
        } catch (Exception e) {
            System.out.println(e.getMessage());
        }
        return i;

    }
}
