package util;

public class Item {
    public String id;
    public double a;
    public double b;
    public String field;
    public double cnt;

    final double D = 1.701;

    public Item(double paramA, double paramB) {
        this.id = "";
        this.a = paramA;
        this.b = paramB;
        this.field = "";
    }

    public Item() {
        this.id = "";
        this.a = 0.0;
        this.b = 0.0;
        this.field = "";
        this.cnt = 0;
    }

    public double ICC(double theta) {
        double r = 0;
        r = 1 / (1 + Math.exp(-D * a * (theta - b)));
        return r;
    }


    public double getInfo(double theta) {
        double r = 0;
        r = D * D * a * a *  (1 - ICC(theta)) * ICC(theta);

        return r;
    }

    public String getItem() {
        return id + "," + field + "," + a + "," + b;
    }

}
