package util;

import java.io.File;
import java.text.DecimalFormat;
import java.util.BitSet;
import java.util.Calendar;

public class UtiltyFunction {
    public static synchronized String GetFileName() {

        Calendar now = Calendar.getInstance();
        int year = now.get(now.YEAR);
        int month = now.get(now.MONTH) + 1;
        int day = now.get(now.DATE);
        int hour = now.get(now.HOUR_OF_DAY);
        int minute = now.get(now.MINUTE);
        int seconds = now.get(now.SECOND);

        int rnd = Math.round(1000);
        DecimalFormat df = new DecimalFormat("00");
        String FILENAME;
        FILENAME = df.format(year % 100)
                + df.format(month)
                + df.format(day)
                + df.format(hour)
                + df.format(minute)
                + df.format(seconds)
                + df.format(rnd);

        return FILENAME;
    }

    public static BitSet ConvertSolutionToBitSet(double[] sol, int ibSize) {
        BitSet usedItem = new BitSet();

        for (int l = 0; l < sol.length; l++) {
            if (l < ibSize) {
                if (0.9 < sol[l]) {
                    usedItem.set(l);
                } else {
                    usedItem.clear(l);
                }
            }
        }

        return usedItem;
    }

    public static void CreateItemDataBase(String filename, int size) {
        File file = new File(filename);
        if (file.exists()) {
            return;
        } else {
            SimulationItemGenerator.num = size;
            SimulationItemGenerator.ITEMDBPATH = filename;
            SimulationItemGenerator.field = new String[] {"A"};
            SimulationItemGenerator.main(null);
        }
    }
}
