package util.graph;

import java.util.ArrayList;
import java.util.BitSet;

public class GraphStructure {

    //グラフ構造オブジェクト
    //メンバ変数
    //隣接行列、非推奨
    private BitSet[] AdjMatrix = null;

    public void SetAdjMatrix(BitSet[] adjm) {
        AdjMatrix = adjm;
    }

    public void SetAdjMatrix(ArrayList<BitSet> adjm) {
        AdjMatrix = (BitSet[]) adjm.toArray();
    }

    public BitSet[] GetAdjMatrix() {
        return AdjMatrix;
    }

    //グラフの頂点数を返す
    public int dimension() {
        if (AdjMatrix != null) {
            return AdjMatrix.length;
        } else {
            return -1;
        }
    }
    //隣接頂点集合を隣接行列から生成する
}
