package basis;

import util.Constraint;

import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.BitSet;

public interface ITestGenerator {
    public final String OUTPUT_FILE_PATH = ".//createdTests//";

    /**
     * Create uniform tests
     */
    void Generate();

    /**
     * Set execute time
     */
    void SetExecuteTime(double time);

    /**
     * Set Logger
     */
    void SetLogger(PrintWriter log);

    /**
     * Set Logger
     */
    void OutputResult(String path);

    /**
     * Set Logger
     */
    void PrintResultSize();

    /**
     * Set Constraint
     */
    void SetConstraint(Constraint constraint);
}

